import prisma from '../utilities/Prisma'; // Import the global Prisma instance
import { Object } from '@prisma/client'

class ObjectRepository {
    getById(id: string): Promise<Object | null> {
        return prisma.object.findUnique({
            where: {
                id,
            },
        });
    }
}

export default new ObjectRepository();